Package org.apache.wiki.rss

## Class Entry

- java.lang.Object
- - org.apache.wiki.rss.Entry

    public class Entry
    extends java.lang.Object

Represents an entry, that is, an unit of change, in a Feed.

### Constructor Summary

Constructors
`Entry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAuthor()` Return the author set by setAuthor().
`java.lang.String` `getContent()` Return the content set by `setContent(String)`.
`Page` `getPage()` Returns the page set by `setPage(Page)`.
`java.lang.String` `getTitle()` Returns the title.
`java.lang.String` `getURL()` Return the URL set by setURL().
`void` `setAuthor​(java.lang.String author)` Set the author of this entry.
`void` `setContent​(java.lang.String content)` Set the content of this entry.
`void` `setPage​(Page p)` Sets the WikiPage to which this Entry refers to.
`void` `setTitle​(java.lang.String title)` Sets a title for the change.
`void` `setURL​(java.lang.String url)` Set the URL - the permalink - of the Entry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Entry

    public Entry()

### Method Detail

#### setAuthor

    public void setAuthor​(java.lang.String author)

Set the author of this entry.

Parameters:
  `author` - Name of the author.

#### getAuthor

    public java.lang.String getAuthor()

Return the author set by setAuthor().

Returns:
  A String representing the author.

#### getPage

    public Page getPage()

Returns the page set by `setPage(Page)`.

Returns:
  The WikiPage to which this Entry refers to.

#### setPage

    public void setPage​(Page p)

Sets the WikiPage to which this Entry refers to.

Parameters:
  `p` - A valid WikiPage.

#### setTitle

    public void setTitle​(java.lang.String title)

Sets a title for the change. For example, a WebLog entry might use the post title, or a Wiki change could use something like "XXX changed page YYY".

Parameters:
  `title` - A String description of the change.

#### getTitle

    public java.lang.String getTitle()

Returns the title.

Returns:
  The title set in setTitle.

#### setURL

    public void setURL​(java.lang.String url)

Set the URL - the permalink - of the Entry.

Parameters:
  `url` - An absolute URL to the entry.

#### getURL

    public java.lang.String getURL()

Return the URL set by setURL().

Returns:
  The URL.

#### setContent

    public void setContent​(java.lang.String content)

Set the content of this entry.

Parameters:
  `content` - A String of the content.

#### getContent

    public java.lang.String getContent()

Return the content set by `setContent(String)`.

Returns:
  Whatever was set by setContent().